Index: includes/definitions/os/d-link.inc.php
===================================================================
--- includes/definitions/os/d-link.inc.php	(revision 11288)
+++ includes/definitions/os/d-link.inc.php	(working copy)
@@ -159,7 +159,7 @@
   '.1.3.6.1.4.1.171.10.61.3'    => array('name' => 'DES-2108'),
   '.1.3.6.1.4.1.171.10.63.1.1'  => array('name' => 'DES-3010F'),
   '.1.3.6.1.4.1.171.10.63.1.2'  => array('name' => 'DES-3010G'),
-  '.1.3.6.1.4.1.171.10.63.2'    => array('name' => 'DES-3018'),
+  '.1.3.6.1.4.1.171.10.63.2'    => array('name' => 'DES-3018',       'mibs' => array('DES3018-L2MGMT-MIB')),
   '.1.3.6.1.4.1.171.10.63.3'    => array('name' => 'DES-3026',       'mibs' => array('DES3026-L2MGMT-MIB')),
   '.1.3.6.1.4.1.171.10.63.4'    => array('name' => 'DES-3010FL'),
   '.1.3.6.1.4.1.171.10.63.6'    => array('name' => 'DES-3028'),
Index: mibs/d-link/DES-1210-28ME_B2
===================================================================
--- mibs/d-link/DES-1210-28ME_B2	(revision 11288)
+++ mibs/d-link/DES-1210-28ME_B2	(working copy)
@@ -1,32 +1,7 @@
---------------------------------------------------------------------------------
+DES-1210-28ME_B2 DEFINITIONS ::= BEGIN
 
--- --------------------------- Revision ----------------------------------------
--- Date        Version   Author         Chanage Description
---
--- 2012/01/06  6.00.008  D-Link         1.Removed sysTrapBPDUAttack.
---
--- 2012/01/05  6.00.007  D-Link         1.Update aacServerRetryCount information.
---
--- 2011/12/29  6.00.006  D-Link         1.Update systrap & snmptrap information.
---
--- 2011/12/26  6.00.005  D-Link         1.Fix ACL, BPDU attack, SSH MIB.
---
--- 2011/12/23  6.00.004  D-Link         1.Change GratuitousARP, MulticastFilter Oid value.
---
--- 2011/12/12  6.00.003  D-Link         1.Change SMTP Oid value.
---
--- 2011/12/09  6.00.002  D-Link         1.Fix Oid description.
---
--- 2011/11/25  6.00.001  D-Link         1.Initial version.
--- 
--- -------------------------- Revision End -------------------------------------
-
---------------------------------------------------------------------------------
-
-        DES-1210-28ME_B2 DEFINITIONS ::= BEGIN
-
 IMPORTS 
-   MODULE-IDENTITY, OBJECT-TYPE, 
+   MODULE-IDENTITY, OBJECT-TYPE, NOTIFICATION-TYPE,
    enterprises, IpAddress, Integer32, Unsigned32, TimeTicks, Counter32
                                                   FROM SNMPv2-SMI 
    InetAddress                                    FROM INET-ADDRESS-MIB                                                  
@@ -39,14 +14,259 @@
    VlanId                                         FROM Q-BRIDGE-MIB
    AddressFamilyNumbers                           FROM IANA-ADDRESS-FAMILY-NUMBERS-MIB;
    
+    des-1210-28meb2                      MODULE-IDENTITY
+
+    LAST-UPDATED "201808140000Z"         -- 14 Aug 2018
+    ORGANIZATION "DES-1210-28-BX-06-10-019.mib"
+    CONTACT-INFO ""
+     DESCRIPTION
+        "1. Update sslClipherSuiteList setting value."
+
+     --  Revision history
+     REVISION     "201808140000Z"         -- 14 Aug 2017
+     DESCRIPTION
+        "1. Update sslClipherSuiteList setting value."
+
+     --  Revision history
+     REVISION     "201802270000Z"         -- 27 Feb 2017
+     DESCRIPTION
+        "1. Add impbLogSate.
+         2. Add syslogModuleLogGroup."
+
+     --  Revision history
+     REVISION     "201711280000Z"         -- 28 Nov 2017
+     DESCRIPTION
+        "1. Add sysPasswordRecovery object.
+         2. Add tftpLogTargetGroup."
+
+     --  Revision history
+     REVISION     "201706080000Z"         -- 08 June 2017
+     DESCRIPTION
+        "1. Change snmpTrapPortSecurity name to snmpTrapPortSecurityViolationMac"
+
+     --  Revision history
+     REVISION     "201704280000Z"         -- 28 April 2017
+     DESCRIPTION
+        "1. impbBindingtrapsign object change status to obsolete.
+         2. brgAddress object change status to obsolete.
+         3. oldDesignatedRoot object change status to obsolete.
+         4. mstiBridgeRegionalRoot object change status to obsolete.
+         5. snmpTrapRSTPStateChange object change status to obsolete.
+         6. Change snmpTrapDULD OID to traps 33.
+         7. Change snmpTrapDOSPrevent OID to traps 35."
+
+     --  Revision history
+     REVISION     "201703240000Z"         -- 24 Mar 2017
+     DESCRIPTION
+        "1. Remove old trafficCtrlTable(13.4.2).
+         2. Add new trafficCtrlTable(13.4.4).
+         3. Add new snmpDyingGaspReceive object."
+
+     --  Revision history
+     REVISION     "201703100000Z"         -- 10 Mar 2017
+     DESCRIPTION
+        "1. Add tftpFwTargetBootUp object."
+
+     --  Revision history
+     REVISION     "201702230000Z"         -- 23 Feb 2017
+     DESCRIPTION
+        "1. Add ipv4IfIndex object.
+         2. Add ipv4IfVLANname object."
+	
+     --  Revision history
+     REVISION     "201702160000Z"         -- 16 Feb 2017
+     DESCRIPTION
+        "1. Add sysFirmwareDelete object for Dual image.
+         2. Add tftpCfgTargetTftpConfigID option current-config(3)."
+
+     --  Revision history
+     REVISION     "201701130000Z"         -- 13 Jan 2017
+     DESCRIPTION
+        "1. Add auto cable diag object.
+         2. Add snmpTrapAutoCableDiag object."
+
+     --  Revision history
+     REVISION     "201701190000Z"         -- 19 Jan 2017
+     DESCRIPTION
+        "1. Add aclPacketRuleReplaceVLAN object.
+         2. Modify aclPacketRuleAction value list for replaceVLAN(8)."
+
+     --  Revision history
+     REVISION     "201612210000Z"         -- 21 Dec 2016
+     DESCRIPTION
+        "1.Add snmpTrapERPS notification object.
+         2. Add sysPortCtrlState object and remove disable(7) value from sysPortCtrlSpeed."
+
+     --  Revision history
+     REVISION     "201612020000Z"         -- 02 Dec 2016
+     DESCRIPTION
+        "1. Add snmpV3TrapDULD object."
+
+     --  Revision history
+     REVISION     "201611250000Z"         -- 25 Nov 2016
+     DESCRIPTION
+        "1. For Release version.
+        2. Add MstMstiStpTopologyChangesCount,MstMstiStpLastTopologyChange object."
+
+     --  Revision history
+     REVISION     "201611150000Z"         -- 15 Nov 2016
+     DESCRIPTION
+        "1. Modify Value list for cpuFilterProfileIPProtocol and cpuFilterv6L3RuleProtocol."
+
+     --  Revision history
+     REVISION     "201610240000Z"         -- 24 Oct 2016
+     DESCRIPTION
+        "1. Add stpNniBpduAddr object(OID 6.1.18)."
+
+     --  Revision history
+     REVISION     "201610200000Z"         -- 20 Oct 2016
+     DESCRIPTION
+        "1. Add qosInBandMgmt object."
+
+     --  Revision history
+     REVISION     "201610140000Z"         -- 14 Oct 2016
+     DESCRIPTION
+        "1. Add LACP Active Port object.
+		 2. Add Igmp Proxy Reporting.
+		 3. Add companyStaticRoute object."
+
+     --  Revision history
+     REVISION     "201610070000Z"         -- 07 Oct 2016
+     DESCRIPTION
+        "1. Add Port utilization object.
+		 2. Add PortLinkChangeTime."
+
+     --  Revision history
+     REVISION     "201609210000Z"         -- 21 Sep 2016
+     DESCRIPTION
+        "1. Add new value 'download and reboot(4)' for object tftpCfgTargetTftpOperation."
+
+     --  Revision history
+     REVISION     "201608180000Z"         -- 18 Aug 2016
+     DESCRIPTION
+        "1. Modify Value list for aclProfileIPProtocol."
+
+     --  Revision history
+     REVISION     "201608030000Z"         -- 03 Aug 2016
+     DESCRIPTION
+        "1. Add portSecTableClearPortList object.
+		 2. Add portSecTableClear object.
+		 3. Add statisticsClearPortList object(OID 125).
+		 4. Add statisticsClear object(OID 125).
+		 5. Remove ipv4cpuFilterProfileTable."
+
+     --  Revision history
+     REVISION     "201606210000Z"         -- 21 Jun 2016
+     DESCRIPTION
+        "1. Add New function Reboot Schedule.
+	     2. Add New object mstDeleteInstanceStatus.
+	     3. Add dot1qVlanId MIB object.
+         4. Modify index sequence for dot1qVlanTable.
+         5. Add sysSaveOperationStatus object."
+
+     --  Revision history
+     REVISION     "201605300000Z"         -- 30 May 2016
+     DESCRIPTION
+        "1. Modify tftpCfgTargetIncrement object."
+
+     --  Revision history
+     REVISION     "201605200000Z"         -- 20 May 2016
+     DESCRIPTION
+	    "1. Add macBasedVlanLearningTable object(OID 70.2)."
+
+     --  Revision history
+     REVISION     "201605110000Z"         -- 11 May 2016
+     DESCRIPTION
+	    "1. Add impbDhcpSnoopingTableClearPortList object.
+	     2. Add impbDhcpSnoopingTableClearIPType object.
+         3. Add impbDhcpSnoopingTableClear object."
+
+     --  Revision history
+     REVISION     "201603240000Z"         -- 24 Mar 2016
+     DESCRIPTION
+        "1. Add Replace CVID object(OID 27.2.1.12, OID 27.4.1.13).
+         2. Add new port role Root-inconsistent in mstCistCurrentPortRole(OID 15.2.6.5.1.1.7)."
+
+     --  Revision history
+     REVISION     "201603100000Z"         -- 10 Mar 2016
+     DESCRIPTION
+        "1. Add mldsReportToAllPort object."
+
+     --  Revision history
+     REVISION     "201601150000Z"         -- 15 Jan 2016
+     DESCRIPTION
+        "1. Add Dying Gasp object(OID 120.0.29)."
+
+     --  Revision history
+     REVISION     "201512310000Z"         -- 31 Dec 2015
+     DESCRIPTION
+        "1. Add ipv4 CPU filter profile offset mask object(OID 33.1.1.1.13 ~ 33.1.1.1.17).
+         2. Add CPU filter profile offset mask object(OID 33.1.2.1.14 ~ 33.1.2.1.19).
+         3. Add cpuFilterUdfRule object(OID 33.4)."
+
+     --  Revision history
+     REVISION     "201511060000Z"         -- 06 Nov 2015
+     DESCRIPTION
+        "1. Add ImpbDhcpSnoopingRemainingTime object."
+
+     --  Revision history
+     REVISION     "201510290000Z"         -- 29 Oct 2015
+     DESCRIPTION
+        "1. Add icmpv6 ra filter object(OID 14.13).
+         2. Add snmpV3TrapDHCPv6ServerScreening object(OID 5.8.18 and 120.0.28)."
+
+     --  Revision history
+     REVISION     "201510230000Z"         -- 23 Oct 2015
+     DESCRIPTION
+        "For Release version."
+
+     --  Revision history
+     REVISION     "201510070000Z"         -- 07 Oct 2015
+     DESCRIPTION
+        "1. Add dhcpv6 server screen object(OID 14.12).
+         2. Add dhcpv4 server screen log object(OID 14.7.5).
+         3. Add snmpV3TrapDHCPv6ServerScreening object(OID 5.8.17 and 120.0.27)."
+
+     --  Revision history
+     REVISION     "201510010000Z"         -- 01 Oct 2015
+     DESCRIPTION
+        "For Release version."
+
+     --  Revision history
+     REVISION     "201507230000Z"         -- 23 July 2015
+     DESCRIPTION
+        "Add LEDPanel object."
         
+     --  Revision history
+     REVISION     "201507080000Z"         -- 08 July 2015
+     DESCRIPTION
+        "Add cpuFilterState object."
 
+     --  Revision history
+     REVISION     "201506030000Z"         -- 03 Jun 2015
+     DESCRIPTION
+        " In order to pass the web www.simpleweb.org to 
+          verify severity level 3, which must be change 
+          the SYNTAX of mib file."
+
+     --  Revision history
+     REVISION     "201504160000Z"         -- 16 April 2015
+     DESCRIPTION
+         "Add trafficCtrlAutoRecoverTime object."
+
+     REVISION     "201403060000Z"         -- 06 March 2014
+     DESCRIPTION
+         "Initial version, published as D-Link des-1210 28ME mib."
+
+
+    ::= { des-1210-28me 2}      
+
     d-link						OBJECT IDENTIFIER ::= { enterprises 171 }  
     dlink-products				OBJECT IDENTIFIER ::= { d-link 10 }
     dlink-DES1210SeriesProd	    OBJECT IDENTIFIER ::= { dlink-products 75}
-    des-1210-28ME			OBJECT IDENTIFIER ::= { dlink-DES1210SeriesProd 15 }  
-    des-1210-28ME-B2					OBJECT IDENTIFIER ::= { des-1210-28ME 2}  
-   
+    des-1210-28me			OBJECT IDENTIFIER ::= { dlink-DES1210SeriesProd 15 }  
+
+
 VlanIndex ::= TEXTUAL-CONVENTION
     STATUS      current
     DESCRIPTION
@@ -101,7 +321,8 @@
            convention and all representation of these timers
            in this MIB module are defined using this data type.  An
            algorithm is also defined for converting between the
-           different units, to ensure a timer's value is not                                  distorted by multiple conversions."
+           different units, to ensure a timer's value is not
+           distorted by multiple conversions."
      SYNTAX          OCTET STRING (SIZE (8))
      
 Timeout ::= TEXTUAL-CONVENTION
@@ -119,7 +340,7 @@
                  floor   =  quotient [ignore remainder]
                  n is the value in 1/100 second units
                  b is the value in 1/256 second units
-                                                                                               To convert the value from 1/256 second units back to
+                 To convert the value from 1/256 second units back to
             1/100 seconds, the following algorithm should be used:
             
                  n = ceiling( (b * 100) / 256)
@@ -260,54 +481,83 @@
                 underCreation(3),
                 invalid(4)
             }
+Ipv6Address ::= TEXTUAL-CONVENTION
+    DISPLAY-HINT "2x:"
+    STATUS       current
+    DESCRIPTION
+        "This data type is used to model IPv6 addresses.
+        This is a binary string of 16 octets in network
+        byte-order."
+    SYNTAX       OCTET STRING (SIZE (16))            
  
 -- ----------------------------------------------------------------- -- 
 -- groups in the MIB  
 -- ----------------------------------------------------------------- -- 
 
-      companySystem           OBJECT IDENTIFIER ::= { des-1210-28ME-B2 1 }
-        dhcpBOOTPRelayControl                   OBJECT IDENTIFIER ::= { companyDHCPRelay 1 }
-      companyIpifGroup            OBJECT IDENTIFIER ::= { des-1210-28ME-B2 2 } 
-        dhcpBOOTPRelayManagement                OBJECT IDENTIFIER ::= { companyDHCPRelay 2 }
-            dhcpBOOTPRelayManagementOption82    OBJECT IDENTIFIER ::= { dhcpBOOTPRelayManagement 2 }
-      companyTftpGroup            OBJECT IDENTIFIER ::= { des-1210-28ME-B2 3 } 
-      companyMiscGroup            OBJECT IDENTIFIER ::= { des-1210-28ME-B2 4 }
-      companySNMPV3                 OBJECT IDENTIFIER ::= { des-1210-28ME-B2 5 }
-      companySTP                 OBJECT IDENTIFIER ::= { des-1210-28ME-B2 6 }
-      companyDot1qVlanGroup       OBJECT IDENTIFIER ::= { des-1210-28ME-B2 7 }      
-      companyLA                   OBJECT IDENTIFIER ::= { des-1210-28ME-B2 8 }
-      companyStaticMAC   	      OBJECT IDENTIFIER ::= { des-1210-28ME-B2 9 }          
-      companyIgsGroup             OBJECT IDENTIFIER ::= { des-1210-28ME-B2 10 }
-      companyGVRPGroup       OBJECT IDENTIFIER ::= { des-1210-28ME-B2 11 }
-      companyQoSGroup             OBJECT IDENTIFIER ::= { des-1210-28ME-B2 12 }
-      companyTrafficMgmt          OBJECT IDENTIFIER ::= { des-1210-28ME-B2 13 }
-      companySecurity             OBJECT IDENTIFIER ::= { des-1210-28ME-B2 14 }
-      companyACLGroup             OBJECT IDENTIFIER ::= { des-1210-28ME-B2 15 }
-      companySyslog               OBJECT IDENTIFIER ::= { des-1210-28ME-B2 16 } 
-	  companyLBD                  OBJECT IDENTIFIER ::= { des-1210-28ME-B2 17 }        
-      companyMirror             OBJECT IDENTIFIER ::= { des-1210-28ME-B2 18 }
-      companyStaticMcast           OBJECT IDENTIFIER ::= { des-1210-28ME-B2 19 }
-      companySNTPSetting          OBJECT IDENTIFIER ::= { des-1210-28ME-B2 20 }
-      companyRMON                 OBJECT IDENTIFIER ::= { des-1210-28ME-B2 22 }
-      companyAuthGroup           OBJECT IDENTIFIER ::= { des-1210-28ME-B2 23 }
-      companyGuestVlan                   OBJECT IDENTIFIER ::= { des-1210-28ME-B2 24 }
-      companyMacNotify                   OBJECT IDENTIFIER ::= { des-1210-28ME-B2 25 }
-      companyISMVLAN          OBJECT IDENTIFIER ::= { des-1210-28ME-B2 27 }
-    companyDHCPRelay                            OBJECT IDENTIFIER ::= { des-1210-28ME-B2 28 }
-    companyDHCPLocalRelay   OBJECT IDENTIFIER ::= { des-1210-28ME-B2 29 }
-      companyTrapSetting	      OBJECT IDENTIFIER ::= { des-1210-28ME-B2 30 }
-      companyLLDPSetting	      OBJECT IDENTIFIER ::= { des-1210-28ME-B2 32 }
-      companyCPUInterfaceFilterGroup             OBJECT IDENTIFIER ::= { des-1210-28ME-B2 33 }
-      companyCableDiagnostic             OBJECT IDENTIFIER ::= { des-1210-28ME-B2 35 }
-      companyVLANTrunk                   OBJECT IDENTIFIER ::= { des-1210-28ME-B2 36 }
-      companyQinQ                   OBJECT IDENTIFIER ::= { des-1210-28ME-B2 37 }
-      companySMTP                   OBJECT IDENTIFIER ::= { des-1210-28ME-B2 40 }
-      companyLimitIp             OBJECT IDENTIFIER ::= { des-1210-28ME-B2 45 }
-      companyGratuitousARP       OBJECT IDENTIFIER ::= { des-1210-28ME-B2 48 }
-      companyMulticastFilter           OBJECT IDENTIFIER ::= { des-1210-28ME-B2 49 }
-	  companyBPDUAttack                  OBJECT IDENTIFIER ::= { des-1210-28ME-B2 77 }
-      companyDoSCtrl             OBJECT IDENTIFIER ::= { des-1210-28ME-B2 99 }
-      
+
+-- end DLINK_METRO_LIKE_FIRMWARE_INFO_DISPLAY
+-- start DLINK_METRO_LIKE_FIRMWARE_INFO_DISPLAY
+      companySystem                   OBJECT IDENTIFIER ::= { des-1210-28meb2 1 }
+      firmwareInfoImage1              OBJECT IDENTIFIER ::= { sysFirmwareInfomation 1 }
+      companyIpifGroup                OBJECT IDENTIFIER ::= { des-1210-28meb2 2 } 
+      companyTftpGroup                OBJECT IDENTIFIER ::= { des-1210-28meb2 3 } 
+      companyMiscGroup                OBJECT IDENTIFIER ::= { des-1210-28meb2 4 }
+      companySNMPV3                   OBJECT IDENTIFIER ::= { des-1210-28meb2 5 }
+      companySTP                      OBJECT IDENTIFIER ::= { des-1210-28meb2 6 }
+      companyDot1qVlanGroup           OBJECT IDENTIFIER ::= { des-1210-28meb2 7 }
+      companyLA                       OBJECT IDENTIFIER ::= { des-1210-28meb2 8 }
+      companyStaticMAC                OBJECT IDENTIFIER ::= { des-1210-28meb2 9 }
+      companyIgsGroup                 OBJECT IDENTIFIER ::= { des-1210-28meb2 10 }
+      companyGVRPGroup                OBJECT IDENTIFIER ::= { des-1210-28meb2 11 }
+      companyQoSGroup                 OBJECT IDENTIFIER ::= { des-1210-28meb2 12 }
+      companyTrafficMgmt              OBJECT IDENTIFIER ::= { des-1210-28meb2 13 }
+      companySecurity                 OBJECT IDENTIFIER ::= { des-1210-28meb2 14 }
+      companyACLGroup                 OBJECT IDENTIFIER ::= { des-1210-28meb2 15 }
+      companySyslog                   OBJECT IDENTIFIER ::= { des-1210-28meb2 16 } 
+      companyLBD                      OBJECT IDENTIFIER ::= { des-1210-28meb2 17 }
+      companyMirror                   OBJECT IDENTIFIER ::= { des-1210-28meb2 18 }
+      companyStaticMcast              OBJECT IDENTIFIER ::= { des-1210-28meb2 19 }
+      companySNTPSetting              OBJECT IDENTIFIER ::= { des-1210-28meb2 20 }
+      companyRMON                     OBJECT IDENTIFIER ::= { des-1210-28meb2 22 }
+      companyAuthGroup                OBJECT IDENTIFIER ::= { des-1210-28meb2 23 }
+      companyGuestVlan                OBJECT IDENTIFIER ::= { des-1210-28meb2 24 }
+      companyMacNotify                OBJECT IDENTIFIER ::= { des-1210-28meb2 25 }
+      companyISMVLAN                  OBJECT IDENTIFIER ::= { des-1210-28meb2 27 }
+      companyDHCPRelay                OBJECT IDENTIFIER ::= { des-1210-28meb2 28 }
+      companyDHCPLocalRelay           OBJECT IDENTIFIER ::= { des-1210-28meb2 29 }
+      companyTrapSetting              OBJECT IDENTIFIER ::= { des-1210-28meb2 30 }
+      sysFirmwareInfomation           OBJECT IDENTIFIER ::= { companySystem 31 }
+      companyLLDPSetting              OBJECT IDENTIFIER ::= { des-1210-28meb2 32 }
+      companyCPUInterfaceFilterGroup  OBJECT IDENTIFIER ::= { des-1210-28meb2 33 }
+      companyStaticARP                OBJECT IDENTIFIER ::= { des-1210-28meb2 34 }
+      companyCableDiagnostic          OBJECT IDENTIFIER ::= { des-1210-28meb2 35 }
+      companyVLANTrunk                OBJECT IDENTIFIER ::= { des-1210-28meb2 36 }
+      companyQinQ                     OBJECT IDENTIFIER ::= { des-1210-28meb2 37 }
+      companyTimeRangeMgmt            OBJECT IDENTIFIER ::= { des-1210-28meb2 38 }
+      companySMTP                     OBJECT IDENTIFIER ::= { des-1210-28meb2 40 }
+      companyStaticRoute              OBJECT IDENTIFIER ::= { des-1210-28meb2 42 }
+      companyLimitIp                  OBJECT IDENTIFIER ::= { des-1210-28meb2 45 }
+      companyGratuitousARP            OBJECT IDENTIFIER ::= { des-1210-28meb2 48 }
+      companyMulticastFilter          OBJECT IDENTIFIER ::= { des-1210-28meb2 49 }
+      companyNeighbor                 OBJECT IDENTIFIER ::= { des-1210-28meb2 50 }
+      companyEoam                     OBJECT IDENTIFIER ::= { des-1210-28meb2 51 }
+      companyDuld                     OBJECT IDENTIFIER ::= { des-1210-28meb2 52 }
+      companyMacBasedVlan             OBJECT IDENTIFIER ::= { des-1210-28meb2 70 }
+      companyBPDUAttack               OBJECT IDENTIFIER ::= { des-1210-28meb2 77 }
+      companyDHCPv6Relay              OBJECT IDENTIFIER ::= { des-1210-28meb2 86 }
+      companyMldsGroup                OBJECT IDENTIFIER ::= { des-1210-28meb2 88 }
+      companyPPPoE                    OBJECT IDENTIFIER ::= { des-1210-28meb2 98 }
+      companyDoSCtrl                  OBJECT IDENTIFIER ::= { des-1210-28meb2 99 }
+      companyAgentBasicInfo           OBJECT IDENTIFIER ::= { des-1210-28meb2 100 }
+      companyProtocolVlan             OBJECT IDENTIFIER ::= { des-1210-28meb2 101 }
+      companyL2PT                     OBJECT IDENTIFIER ::= { des-1210-28meb2 102 }
+      companySfpVendorInfo            OBJECT IDENTIFIER ::= { des-1210-28meb2 104 }
+      companyDDM                      OBJECT IDENTIFIER ::= { des-1210-28meb2 105 }
+      companyFTPGroup                 OBJECT IDENTIFIER ::= { des-1210-28meb2 107 } 
+      companyTraps                    OBJECT IDENTIFIER ::= { des-1210-28meb2 120 }
+      companyswLedPanel               OBJECT IDENTIFIER ::= { des-1210-28meb2 121 }
+      companyStatistics               OBJECT IDENTIFIER ::= { des-1210-28meb2 125 } 
+
 -- ---------------------------------------------------------------- --
 
     -- ------------------------------------------------------------------
@@ -322,7 +572,7 @@
           "System name used for identification of the device.
           The following characters are allowed to input.
           0 ~ 9 / a ~ z / A ~ Z
-          Special character: (  )   \A1V  +  _  =  ."
+          Special character: (  )   V  +  _  =  ."
        ::= { companySystem 1 }
 
     sysHardwareVersion OBJECT-TYPE
@@ -363,7 +613,6 @@
                  the zero-length string."
        ::= { companySystem 5 }
 
-
     sysGroupInterval OBJECT-TYPE
        SYNTAX      Integer32 (0 | 120..1225)
        MAX-ACCESS  read-write
@@ -414,15 +663,34 @@
        ::= { companySystem 9 }
 
     sysSave OBJECT-TYPE
-       SYNTAX      TruthValue
+           SYNTAX      INTEGER {
+                         true            (1),
+                         false           (2),
+                         config-1 	     (3),
+                         config-2   	   (4)
+                      }
        MAX-ACCESS  read-write
        STATUS      current
        DESCRIPTION
-          "This object is used to save Configuration."
-       DEFVAL  { false }
+          "This object is used to save Configuration , value 1 save config_1 , 
+          value 2 is not in process , value 3 is save config_1 and value 4 is save config_2."
+       DEFVAL  { 1 }
        ::= { companySystem 10 }
 
 
+    sysJumboFrameEnable  OBJECT-TYPE
+       SYNTAX      INTEGER {
+                    enable(1),
+                    disable(2)
+                   }
+       MAX-ACCESS  read-write
+       STATUS      current
+       DESCRIPTION
+          "Gigabit Web Smart Switches support jumbo frames (frames larger than
+           the Ethernet frame size of 1522 bytes) of up to 10,000 bytes (tagged).
+           Default jumbo frame is disabled."
+          DEFVAL { disable }
+       ::= { companySystem 12 }
 
     -- Port Control Table
 
@@ -464,6 +732,10 @@
               sysPortCtrlFlowControlOper
                  INTEGER,
               sysPortCtrlType
+                 INTEGER,           
+              sysPortCtrlCapability
+              	 BITS,              
+              sysPortCtrlState
                  INTEGER
           }
 
@@ -480,8 +752,7 @@
         sysPortCtrlMediumType OBJECT-TYPE
            SYNTAX      INTEGER {
              copper(100),
-             fiber1G(101),
-             fiber100M(102)
+             fiber(101)
            }
            MAX-ACCESS  read-only
            STATUS      current
@@ -497,8 +768,7 @@
                          rate100M-Half   (3),
                          rate10M-Full    (4),
                          rate10M-Half    (5),
-                         auto            (6),
-                         disable         (7)
+                         auto            (6)
                       }
            MAX-ACCESS  read-write
            STATUS      current
@@ -514,7 +784,8 @@
                          rate100M-Full   (3),
                          rate100M-Half   (4),
                          rate10M-Full    (5),
-                         rate10M-Half    (6)
+                         rate10M-Half    (6),
+                         rate10G-Full	 (7)
                       }
            MAX-ACCESS  read-only
            STATUS      current
@@ -564,8 +835,7 @@
             SYNTAX INTEGER {
                    fastethernet(1),
                    gigabitethernet(2),
-                   fiberwith100BaseSFPModule(3),
-                   fiberwith1000BaseSFPModule(4)
+                   fiberwith100Base-and-1000BaseSFPModule(3)
             }
             MAX-ACCESS  read-only
             STATUS      current
@@ -573,6 +843,30 @@
                 "The port's media type."
             ::= { sysPortCtrlEntry 8 }
 
+    	sysPortCtrlCapability OBJECT-TYPE
+      		SYNTAX  BITS {
+            	rate10-half(0),
+            	rate10-full(1),
+            	rate100-half(2),
+            	rate100-full(3),
+            	reserve(4),
+            	rate1000-full(5)     			
+            }  		    
+			MAX-ACCESS read-write
+     		STATUS current
+      		DESCRIPTION              
+      			"The port's capability advertised."     
+   			::= { sysPortCtrlEntry 9 }
+        sysPortCtrlState OBJECT-TYPE
+            SYNTAX INTEGER {
+				enable     (1),
+				disable    (2)
+            }
+            MAX-ACCESS  read-write
+            STATUS      current
+            DESCRIPTION
+                "Configures interface state."
+            ::= { sysPortCtrlEntry 11 }           
 -- start DLINK_METRO_LIKE_GENERAL
         sysPortDescriptionTable OBJECT-TYPE
            SYNTAX      SEQUENCE OF SysPortDescriptionEntry
@@ -598,6 +892,10 @@
               sysPortDescMediumType
                  INTEGER,
               sysPortDescString
+                 DisplayString,
+              sysPortUpLinkTime
+                 DisplayString,
+              sysPortLinkChangeTime
                  DisplayString
            }
 
@@ -613,8 +911,7 @@
         sysPortDescMediumType OBJECT-TYPE
            SYNTAX      INTEGER {
              copper(100),
-             fiber1G(101),
-             fiber100M(102)
+             fiber(101)
            }
            MAX-ACCESS  read-only
            STATUS      current
@@ -629,6 +926,23 @@
            DESCRIPTION
                "This object indicates the port description."
            ::= { sysPortDescriptionEntry 3 }
+
+        sysPortUpLinkTime OBJECT-TYPE
+           SYNTAX       DisplayString(SIZE(0..32))
+           MAX-ACCESS   read-only
+           STATUS       current
+           DESCRIPTION
+               "This object indicates the port link up time."
+           ::= { sysPortDescriptionEntry 4 }
+		   
+        sysPortLinkChangeTime OBJECT-TYPE
+           SYNTAX       DisplayString(SIZE(0..32))
+           MAX-ACCESS   read-only
+           STATUS       current
+           DESCRIPTION
+               "This object indicates the port link up time."
+           ::= { sysPortDescriptionEntry 5 }
+
 -- end DLINK_METRO_LIKE_GENERAL
 
 -- start DLINK_METRO_LIKE_GENERAL
@@ -694,7 +1008,10 @@
 		
 		sysPortErrPortReason OBJECT-TYPE
 		   SYNTAX       INTEGER {
-		      lbd(1)
+		      lbd(1),
+		      traffic-control(2),
+		      duld(3),
+		      bpdu-protection(4)
 		   }
 		   MAX-ACCESS   read-only
 		   STATUS       current
@@ -748,7 +1065,7 @@
 
 
            sysMACAgingTime  OBJECT-TYPE
-		   SYNTAX      INTEGER (10..600)
+		   SYNTAX      INTEGER (10..1000000)
 		   MAX-ACCESS  read-write
 		   STATUS      current
 		   DESCRIPTION
@@ -755,7 +1072,34 @@
 		       "This object is for MAC aging time."
 		   ::= { companySystem 20 }
 
+ 			baudRateConfiguration  OBJECT-TYPE
+            SYNTAX      INTEGER {
+                    baudrate9600(9600),
+                    baudrate19200(19200),
+                    baudrate38400(38400),
+                    baudrate115200(115200)
+            }
+            MAX-ACCESS  read-write
+            STATUS      current
+            DESCRIPTION
+            "To set SerialPort baud-rate configuration."
+            ::= { companySystem 21 }
 
+        	autologoutConfiguration  OBJECT-TYPE
+            SYNTAX      INTEGER {
+                    logouttime2mins(120),
+                    logouttime5mins(300),
+                    logouttime10mins(600),
+                    logouttime15mins(900),
+                    logouttimenever(0)
+
+            }
+            MAX-ACCESS  read-write
+            STATUS      current
+            DESCRIPTION
+            "To set SerialPort auto-logout-time configuration."
+            ::= { companySystem 22 }
+
             telnetsettingManagementOnOff OBJECT-TYPE
             SYNTAX INTEGER {
                    enabled(1),
